Loading...
Searching...
No Matches
Opm::BlackoilWellModelNldd< TypeTag > Class Template Reference

Class for handling the blackoil well model in a NLDD solver. More...

`#include <BlackoilWellModelNldd.hpp>`

Inheritance diagram for Opm::BlackoilWellModelNldd< TypeTag >:

## Public Types

using | Grid = GetPropType<TypeTag, Properties::Grid>
using | Scalar = GetPropType<TypeTag, Properties::Scalar>
using | PressureMatrix = typename BlackoilWellModel<TypeTag>::PressureMatrix
using | BVector = typename BlackoilWellModel<TypeTag>::BVector
using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | IndexTraits = typename FluidSystem::IndexTraitsType
using | Indices = GetPropType<TypeTag, Properties::Indices>
using | Domain = SubDomain<Grid>

## Public Member Functions

| BlackoilWellModelNldd (BlackoilWellModel< TypeTag > &model)
void | addWellPressureEquations (PressureMatrix &jacobian, const BVector &weights, const bool use_well_weights, const int domainIndex) const
void | assemble (const int iterationIdx, const double dt, const Domain &domain)
void | updateWellControls (DeferredLogger &deferred_logger, const Domain &domain)
void | setupDomains (const std::vector< Domain > &domains)
ConvergenceReport | getWellConvergence (const Domain &domain, const std::vector< Scalar > &B_avg, DeferredLogger &local_deferredLogger) const
void | recoverWellSolutionAndUpdateWellState (const BVector &x, const int domainIdx)
int | numLocalWells () const
int | numLocalWellsEnd () const
Public Member Functions inherited from Opm::BlackoilWellModelNlddGeneric< GetPropType< TypeTag, Properties::Scalar >, GetPropType< TypeTag, Properties::FluidSystem >::IndexTraitsType >
std::vector< Scalar > | getPrimaryVarsDomain (const int domainIdx) const
void | setPrimaryVarsDomain (const int domainIdx, const std::vector< Scalar > &vars)
const SparseTable< int > & | well_local_cells () const
const std::map< std::string, int > & | well_domain () const

## Additional Inherited Members

Protected Member Functions inherited from Opm::BlackoilWellModelNlddGeneric< GetPropType< TypeTag, Properties::Scalar >, GetPropType< TypeTag, Properties::FluidSystem >::IndexTraitsType >
| BlackoilWellModelNlddGeneric (BlackoilWellModelGeneric< Scalar, GetPropType< TypeTag, Properties::FluidSystem >::IndexTraitsType > &model)
void | calcDomains (const std::vector< const SubDomainIndices * > &domains)

## Detailed Description

template<typename TypeTag>
class Opm::BlackoilWellModelNldd< TypeTag >

Class for handling the blackoil well model in a NLDD solver.

The documentation for this class was generated from the following files:

- opm/simulators/wells/BlackoilWellModel.hpp
- opm/simulators/wells/BlackoilWellModelNldd.hpp
- opm/simulators/wells/BlackoilWellModelNldd_impl.hpp